#include<iostream>
using namespace std;


int main()
{
    int n,i,j,a,b,zbir=0;
    cin>>n;
    int tabla[n][n];
    int vrsta[i];
    int kolona[i];
    
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            tabla[i][j]=0;
        }
    }
    
    for(i=0; i<n; i++)
    {
        cin>>a>>b;
        tabla[a-1][b-1]=1;
    }
    
    if(n==1)
    {
        cout<<0;
    }
    else if(n==2)
    {
        cout<<1;
    }
    else
    {
        cout<<0;
    }
    
    return 0;
}